> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dexxify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create off-ramp transaction

> Initiate a crypto off-ramp (sell crypto for fiat) transaction



## OpenAPI

````yaml /openapi.json post /api/v1/offramp
openapi: 3.0.0
info:
  title: Dexxify API
  description: >-
    Crypto Infrastructure API for Africa (Wallets, Payouts, Offramp, Onramp,
    KYC, KYB)
  version: '1.0'
  contact:
    name: Dexxify
    url: https://www.dexxify.com
    email: dexxifyhq@gmail.com
servers: []
security: []
tags: []
paths:
  /api/v1/offramp:
    post:
      tags:
        - Off-Ramp
      summary: Create off-ramp transaction
      description: Initiate a crypto off-ramp (sell crypto for fiat) transaction
      operationId: OfframpController_create
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateOfframpDto'
      responses:
        '201':
          description: Off-ramp transaction created successfully.
        '400':
          description: Validation failed or the request body/params were malformed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDto'
        '401':
          description: Missing, invalid, or expired authentication.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDto'
      security:
        - api-key: []
components:
  schemas:
    CreateOfframpDto:
      type: object
      properties:
        crypto_asset:
          type: string
          description: Cryptocurrency asset to sell
          enum:
            - BTC
            - TRX
            - BNB
            - TON
            - USDT
            - ETH
            - USDC
            - SOL
        crypto_amount:
          type: number
          description: Cryptocurrency amount to sell
          example: 10
          minimum: 1.e-8
        recipient_id:
          type: string
          description: CC recipient ID for the bank account to receive NGN payout.
          example: rec_6a0ce75269321c4cb5eafe7d
        metadata:
          type: object
          description: Additional metadata
          example:
            source: mobile_app
      required:
        - crypto_asset
        - crypto_amount
        - recipient_id
    ErrorResponseDto:
      type: object
      properties:
        success:
          type: boolean
          example: false
        status:
          type: number
          example: 400
        message:
          type: string
          example: Validation failed.
        errors:
          type: object
          example:
            - amount must not be less than 0
        timestamp:
          type: string
          example: '2026-09-17T12:00:00.000Z'
      required:
        - success
        - status
        - message
        - timestamp
  securitySchemes:
    api-key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: API key for /api/v1/* endpoints

````